package MT::Plugin::SpecificField;
use strict;

use MT;
use MT::Template::Context;
require MT::Plugin;
use MT::Entry;

our $VERSION = "0.1";

@MT::Plugin::SpecificField::ISA = qw(MT::Plugin);

my $plugin = new MT::Plugin::SpecificField({
	name => 'SpecificField',
	version => $VERSION,
	author_name => 'Junnama Noda',
	description => '<MT_TRANS phrase=\'_PLUGIN_DESCRIPTION\'>',
	author_link => 'http://junnama.alfasado.net/online/',
	l10n_class => 'SpecificField::L10N',
});

MT->add_plugin($plugin);

MT::Template::Context->add_tag(SpecificField => \&_SpecificField);

# <$MTSpecificField id="1" field="title"$>

sub _SpecificField {
	my ($ctx, $args, $cond) = @_;
	my $entry_id = $args->{id};
	my $field_name = $args->{field};
	unless ($field_name =~ /(title|text|text_more|excerpt|keywords|basename)/) {
		$field_name = 'title';
	}
	my $entry = MT::Entry->load({ id => $entry_id });
	if (defined $entry) {
		return $entry->$field_name;
	}
	return $entry_id;
}

1;